## EvDocumentLayers EvDocumentLayers |

## Functions

gboolean | ev_document_layers_has_layers ()
GtkTreeModel * | ev_document_layers_get_layers ()
void | ev_document_layers_show_layer ()
void | ev_document_layers_hide_layer ()
gboolean | ev_document_layers_layer_is_visible ()

## Types and Values

| EvDocumentLayers
struct | EvDocumentLayersInterface

## Object Hierarchy

        GInterface
        ╰── EvDocumentLayers

## Description

## Functions

### ev_document_layers_has_layers ()

    gboolean
    ev_document_layers_has_layers (EvDocumentLayers *document_layers);

#### Returns

### ev_document_layers_get_layers ()

    GtkTreeModel *
    ev_document_layers_get_layers (EvDocumentLayers *document_layers);

#### Parameters

document_layers | an EvDocumentLayers |

#### Returns

a GtkTreeModel.

[transfer full]

### ev_document_layers_show_layer ()

    void
    ev_document_layers_show_layer (EvDocumentLayers *document_layers,
                                   EvLayer *layer);

### ev_document_layers_hide_layer ()

    void
    ev_document_layers_hide_layer (EvDocumentLayers *document_layers,
                                   EvLayer *layer);

### ev_document_layers_layer_is_visible ()

    gboolean
    ev_document_layers_layer_is_visible (EvDocumentLayers *document_layers,
                                         EvLayer *layer);

#### Returns

## Types and Values

### EvDocumentLayers

    typedef struct _EvDocumentLayers EvDocumentLayers;

### struct EvDocumentLayersInterface

    struct EvDocumentLayersInterface {
    	GTypeInterface base_iface;

    	/* Methods  */
    	gboolean      (* has_layers)       (EvDocumentLayers *document_layers);
    	GtkTreeModel *(* get_layers)       (EvDocumentLayers *document_layers);

    	void          (* show_layer)       (EvDocumentLayers *document_layers,
    					    EvLayer          *layer);
    	void          (* hide_layer)       (EvDocumentLayers *document_layers,
    					    EvLayer          *layer);
    	gboolean      (* layer_is_visible) (EvDocumentLayers *document_layers,
    					    EvLayer          *layer);
    };